Zum Inhalt springen
Bpanda
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Evaluate a report by its type.

Evaluate a report by its type. Evaluate the architecture report by a given report name. The resulting chart data depends on the reportType. The resulting content in the chart depends on the ACCEPT-LANGUAGE header.

Security: Any user holding a Bpanda licence for the process space.

GET/v1/warehouses/{warehouseId}/architectureReports/evaluate
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

Warehouse-Id

Query parameters
reportTypeArchitectureReportTyperequired

type of the report to evaluate

Allowed:ArchitectureElementsWithInvalidRelationshipsArchitectureElementsWithoutRelationsArchitectureElementsWithoutResponsiblesBusinessContinuityManagementDigitalizationProgressInvalidArchitectureElementsInventoryControlMaturityLevelOverviewCMMIMaturityLevelOverviewSimpleProcessesWithoutApplicationAndTechnologySupportRecentArchitectureElementsScoringAIPotentialScoringDigitalizationPotentialSensitiveDataProcessing
Responses
200

result of the report evaluation as Chart

dataChartDatarequired
Show properties
typestringrequired
reportTypeArchitectureReportTyperequired
Allowed:ArchitectureElementsWithInvalidRelationshipsArchitectureElementsWithoutRelationsArchitectureElementsWithoutResponsiblesBusinessContinuityManagementDigitalizationProgressInvalidArchitectureElementsInventoryControlMaturityLevelOverviewCMMIMaturityLevelOverviewSimpleProcessesWithoutApplicationAndTechnologySupportRecentArchitectureElementsScoringAIPotentialScoringDigitalizationPotentialSensitiveDataProcessing
404

Warehouse not found

string
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/architectureReports/evaluate?reportType=ArchitectureElementsWithInvalidRelationships' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY'
Response
{
  "data": {
    "type": "string"
  },
  "reportType": "ArchitectureElementsWithInvalidRelationships"
}